# -*- coding: utf-8 -*-
##############################################################################
#
#    Module Chemicals CLP for Chemical Industries (OpenERP)
#    Copyright (C) 2008-Today HUMANS & DIVERSITY. (http://www.hu-div.fr)
#    All Right Reserved
#
#    Author : Claude Montaigne <claude.montaigne@hu-div.fr>
#
#    WARNING: This program as such is intended to be used by professional
#    programmers who take the whole responsability of assessing all potential
#    consequences resulting from its eventual inadequacies and bugs
#    End users who are looking for a ready-to-use solution with commercial
#    garantees and support are strongly adviced to contract a Free Software
#    Service Company
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
############################################################################## 
# 
{
	"name" : "Chemicals CLP",
	"version" : "1.0",
	"author" : "H&D",
	'website': 'http://www.hu-div.fr',
	"category" : "Enterprise Specific Modules/Chemical Industries",
	"depends" : ["base", "product", "hd_process"],
	"demo" : [],	
	"description": """
Module for chemicals 
====================
classification, labelling and packaging of substances and mixtures
------------------------------------------------------------------
This module complements the Process Industries module

Sponsor : WE2BS (http://www.we2bs.com) <contact@we2bs.com>

* Version 6.04
* Migration 6.04 --> 7.0

Reference documents
-------------------
* REGULATION (EC) No 1272/2008 OF THE EUROPEAN PARLIAMENT AND OF THE COUNCIL of 16 December 2008
* COMMISSION REGULATION (EU) No 286/2011 of 10 March 2011

Main Features
-------------
* Definition of types and classes of hazard
* Pictograms of hazard
* Hazard statements
* Additional hazard statements
* Precautionary statements
* Definition by product of label informations
* General product informations (EINECS, CAS, Density, Molar mass, Concentration, ...)

	""",
	"data" : [
		"security/hd_chemicals_clp_security.xml",
		"security/ir.model.access.csv",
		
		"clp_view.xml",
		"hazard_type_class_data.xml",
		"hazard_class_category_data.xml",
		"hazard_picto_data.xml",
		"hazard_statements_data.xml",
		"hazard_additional_statements_data.xml",
		"precautionary_type_data.xml",
		"precautionary_statements_data.xml",
		"clp_lines_data.xml",
		"product_view.xml",
	],
	"test":[],
	"installable": True,
	"auto_install": False,
	"images": [],
	'css': [ 'static/src/css/clp.css' ],
	
}
