# -*- coding: utf-8 -*-
##############################################################################
#
#    Module Laboratory for Process Industries (OpenERP)
#    Copyright (C) 2008-Today HUMANS & DIVERSITY. (http://www.hu-div.fr)
#    All Right Reserved
#
#    Author : Claude Montaigne <claude.montaigne@hu-div.fr>
#
#    WARNING: This program as such is intended to be used by professional
#    programmers who take the whole responsability of assessing all potential
#    consequences resulting from its eventual inadequacies and bugs
#    End users who are looking for a ready-to-use solution with commercial
#    garantees and support are strongly adviced to contract a Free Software
#    Service Company
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
############################################################################## 


from openerp.osv import fields, osv

CAS_MO_NORMAL = {'types': ('in', 'fab_stock', 'split'), 'states': ('conform','alert_conform'), 'location_under_control': 'not_allowable'}


#######################################################################################
#  Ajout d'un champ booleen 'zone_sous_controle' dans la classe stock.location
#  ce champ est utilise par la fonction 'is_zone_sous_controle' lors d'1 move
#  pour savoir si la zone concernee par le move est sous le controle du service qualite
#######################################################################################


class stock_picking(osv.osv):
    _name = "stock.picking"
    _inherit = "stock.picking"

    def action_move(self, cr, uid, ids, context=None):
        #print ' *** action_move(stock.picking) - ids',ids,' - context ',context 
        #print time.clock()
        if context is None: context = {}
        super(stock_picking, self).action_move(cr, uid, ids, context=context)
        #print "context ", context
        lot_obj = self.pool.get('stock.production.lot')
        labo_analisys_obj = self.pool.get('labo.analysis')
        lots_with_lotorg = context.get('lots_with_lotorg', False) or []
        for lot in lot_obj.browse(cr, uid, lots_with_lotorg, context=context):
            #hdcm2010_05_10 recopie de la derniere analyse (en état 'done') du lot d'origine vers le lot SPLIT
            # si hd_type = 'split' ou 'sale_stock'
            if lot.hd_type in ('split', 'sale_stock', 'sale_fab', 'sale_buy'):
                # trouver la derniere analyse (ayant un etat 'done') effectuee pour le lot d'origine 
                analysis_lot_org_ids = labo_analisys_obj.search(cr, uid, [('lot_id', '=', lot.hd_lot_org_id)])
                while analysis_lot_org_ids:
                    analysis_lot_org_id = analysis_lot_org_ids.pop()
                    if labo_analisys_obj.browse(cr, uid, analysis_lot_org_id).state == 'done':
                        #print "lot.id ", lot.id
                        #print "analysis_lot_org_id ",analysis_lot_org_id
                        # creer pour le nouveau lot SPIT une analyse identique
                        labo_analisys_obj.copy_labo_analysis(cr, uid, analysis_lot_org_id, [lot.id])
                        break
        #print time.clock()
        #print '/*** action_move(stock.picking)'
        return True

stock_picking()

