# -*- coding: utf-8 -*-
##############################################################################
#
#    Module for Process Industries for OpenERP
#    Copyright (C) 2008-Today HUMANS & DIVERSITY. (http://www.hu-div.fr)
#    All Right Reserved
#
#    Author : Claude Montaigne <claude.montaigne@hu-div.fr>
#
#    WARNING: This program as such is intended to be used by professional
#    programmers who take the whole responsability of assessing all potential
#    consequences resulting from its eventual inadequacies and bugs
#    End users who are looking for a ready-to-use solution with commercial
#    garantees and support are strongly adviced to contract a Free Software
#    Service Company
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
############################################################################## 
# 
{
	"name" : "Process Industries",
	"version" : "1.1",
	"author" : "H&D",
	'website': 'http://www.hu-div.fr',
	"category" : "Enterprise Specific Modules/Process Industries",
	"depends" : ["base", "product", "account", "stock", "mrp", "sale", "sale_mrp", "product_expiry"],
	"demo" : [],	
	"description": """
Module for process industries
=============================
Sponsor : WE2BS (http://www.we2bs.com) <contact@we2bs.com>

* Migration 5.06 --> 6.04
* Migration 6.04 --> 7.0
				
Main Features
-------------
* Automatic generation of lots in purchase, production and sale operations
* Upstream and Downstream traceability
* Informations on each lot (real and virtual quantities, monitoring of the quantities taken or added)
* Operations on lots (displacement, splitting and transfer inter lots)
* Management by workflow states taken by a lot
* Automatic tracking of expiry dates (automatic changing of the status of a lot)
* Reservation system lots
* Physical inventory lots
* Checking the availability lots according to expiry dates or on FIFO mode
* Possibility to choose lots during production operations and sales
* Setting stock locations under quality control (Quarantine, Not conform, ...)
* Splitting a manufacturing order in several lots
* Reprocessing operation lots

Complementary modules
-----------------------
* Laboratory analysis (Definition of template analysis and management of analysis by lots)
* Chemicals CLP (classification, labelling and packaging of substances and mixtures)


	""",
	"data" : [
		"security/process_security.xml",
		"security/ir.model.access.csv",
#		base
		#HDCM 2012_01_26 la classe role n'existe plus dans v603 "base/roles.xml",
		# le role Controle qualite est remplace par le groupe Controle Qualite
		
		# stock
		"stock/stock_data.xml",
		'stock/wizard/stock_return_picking_lot_view.xml',
		"stock/stock_view.xml",
 		"stock/stock_hd_workflow.xml",
 		#"stock/stock_report.xml",
 		"stock/wizard/stock_partial_picking_view.xml",
 		"stock/wizard/stock_partial_move_view.xml",
 		"stock/wizard/stock_fill_inventory_lot_view.xml",
 		"stock/wizard/create_inventory_lot_view.xml",
 		"stock/wizard/make_multi_splitting_lot_view.xml",
 		"stock/wizard/change_lots_status_view.xml",
 		"stock/wizard/lot_info_view.xml",#hdcm 2013_02_20
 
		# product
		"product/data/product_data.xml",
		"product/product_view.xml",

		# mrp
 		"mrp/mrp_workflow_hd.xml",
 		"mrp/wizard/splitting_production_lot_view.xml",
 		"mrp/wizard/production_end_view.xml",
 		"mrp/mrp_view.xml",
		"mrp/wizard/fill_reprocessing_lot_view.xml",#hdcm 2013_02_25

		# sale
 		"sale/sale_view.xml",
 		
	],
	"test":[],
	"installable": True,
	"auto_install": False,
	"images": [],
	
}
