# -*- coding: utf-8 -*-
##############################################################################
#
#    Module for Process Industries for OpenERP
#    Copyright (C) 2008-Today HUMANS & DIVERSITY. (http://www.hu-div.fr)
#    All Right Reserved
#
#    Author : Claude Montaigne <claude.montaigne@hu-div.fr>
#
#    WARNING: This program as such is intended to be used by professional
#    programmers who take the whole responsability of assessing all potential
#    consequences resulting from its eventual inadequacies and bugs
#    End users who are looking for a ready-to-use solution with commercial
#    garantees and support are strongly adviced to contract a Free Software
#    Service Company
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
############################################################################## 

from osv import fields,osv
from osv.orm import browse_record
import tools
from functools import partial
import pytz
import pooler
from tools.translate import _
from service import security
import netsvc



class users(osv.osv):

    _name = "res.users"
    _inherit = "res.users"

    #HDcm 2012_02_16
    def group_control_quality_ok(self, cr, uid, context=None):
        """verifie l'appartenance de l'utilisateur au groupe 'Quality / Control'
        :return: True si uid appartient au groupe 'Quality / Control'
        :raise: except_osv quand le groupe 'Quality / Control' n'est pas trouve
        """
        #print "***group_controle_qualite_ok(res.users) - uid ", uid, " - context ", context
        res = True
        user_group_ids = self.read(cr, uid, [uid],context=context)[0]['groups_id']
        #print "user_group_ids  ",user_group_ids
        # rechercher l'id du groupe 'group_quality_control'
        data_obj = self.pool.get('ir.model.data')
        id2 = data_obj._get_id(cr, uid, 'hd_process', 'group_quality_control')
        if id2:
            group_quality_control_id = data_obj.browse(cr, uid, id2, context=context).res_id
            #print "group_quality_control_id ",group_quality_control_id
        else:
            raise osv.except_osv(_('Invalid action !'),_('le groupe \'Quality / Control\' n\'existe pas !!!'))
        if group_quality_control_id not in user_group_ids:
            res = False
        #print "***/group_controle_qualite_ok(res.users) - res ", res
        return res

    #HDcm 2012_02_16
    def group_stock_manager_ok(self, cr, uid, context=None):
        """verifie l'appartenance de l'utilisateur au groupe 'Warehouse / Manager'
        :return: True si uid appartient au groupe 'Warehouse / Manager'
        :raise: except_osv quand le groupe 'Warehouse / Manager' n'est pas trouve
        """
        #print "***group_stock_manager_ok(res.users) - uid ", uid, " - context ", context
        res = True
        user_group_ids = self.read(cr, uid, [uid],context=context)[0]['groups_id']
        #print "user_group_ids  ",user_group_ids
        # rechercher l'id du groupe 'group_stock_manager'
        data_obj = self.pool.get('ir.model.data')
        id2 = data_obj._get_id(cr, uid, 'stock', 'group_stock_manager')
        if id2:
            group_stock_manager_id = data_obj.browse(cr, uid, id2, context=context).res_id
            #print "group_stock_manager_id ",group_stock_manager_id
        else:
            raise osv.except_osv(_('Invalid action !'),_('le groupe \'Warehouse / Manager\' n\'existe pas !!!'))
        if group_stock_manager_id not in user_group_ids:
            res = False
        #print "***/group_stock_manager_ok(res.users) - res ", res
        return res


users()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
